# Interface Screen

interface Screen {
Bounds: Rect;
Id: string;
IsPrimary: boolean;
Name: string;
Position: Position;
Rotation: number;
Scale: number;
Size: Size;
WorkArea: Rect;
}

- Defined in screens.js:36

#####
Index

### Properties

Bounds
Id
IsPrimary
Name
Position
Rotation
Scale
Size
WorkArea

## Properties

### Bounds

Bounds: Rect

Contains the bounds of the screen in terms of X, Y, Width, and Height.

- Defined in screens.js:42

### Id

Id: string

Unique identifier for the screen.

- Defined in screens.js:37

### IsPrimary

IsPrimary: boolean

True if this is the primary monitor selected by the user in the operating system.

- Defined in screens.js:44

### Name

Name: string

Human readable name of the screen.

- Defined in screens.js:38

### Position

Position: Position

Contains the X and Y coordinates of the screen's position.

- Defined in screens.js:40

### Rotation

Rotation: number

The rotation of the screen.

- Defined in screens.js:45

### Scale

Scale: number

The resolution scale of the screen. 1 = standard resolution, 2 = high (Retina), etc.

- Defined in screens.js:39

### Size

Size: Size

Contains the width and height of the screen.

- Defined in screens.js:41

### WorkArea

WorkArea: Rect

Contains the area of the screen that is actually usable (excluding taskbar and other system UI).

- Defined in screens.js:43

Generated using TypeDoc